Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-01-23 06:04:39 +0000
committerDavid Williams2013-01-23 06:04:39 +0000
commitb6ef72ab1e84c172f10ccd562e43f23ffac5a48b (patch)
tree1c326289720da9df6ba5b83e8754a515d28bea28 /scripts
parent397709bd43df9c81f3062bff5e14c73fc12f3150 (diff)
downloadeclipse.platform.releng.aggregator-b6ef72ab1e84c172f10ccd562e43f23ffac5a48b.tar.gz
eclipse.platform.releng.aggregator-b6ef72ab1e84c172f10ccd562e43f23ffac5a48b.tar.xz
eclipse.platform.releng.aggregator-b6ef72ab1e84c172f10ccd562e43f23ffac5a48b.zip
Bug 398141 - Request to resume builds for gtk.linux.ppc (32-bit) (temp
patch)
Diffstat (limited to 'scripts')
-rw-r--r--scripts/master-build.sh11
-rw-r--r--scripts/tempPatches/ppc.patch21
2 files changed, 27 insertions, 5 deletions
diff --git a/scripts/master-build.sh b/scripts/master-build.sh
index 727192001..1463bd161 100644
--- a/scripts/master-build.sh
+++ b/scripts/master-build.sh
@@ -88,17 +88,18 @@ checkForErrorExit $? "Error occurred while getting aggregator"
$SCRIPT_PATH/update-build-input.sh $BUILD_ENV_FILE 2>&1 | tee $logsDirectory/update-build-input-ouptut.txt
checkForErrorExit $? "Error occurred while updating build input"
-#if [[ $BUILD_ID =~ [IN] ]]
-#then
-# temp hack for bug 398141
+if [[ $BUILD_ID =~ [IN] ]]
+then
+# temp hack for bug 398141 and others
# apply the pre-created patch from tempPatches
#echo "INFO: apply temp patch"
#echo "DEBUG: aggDir: $aggDir"
#echo "DEBUG: pwd: $PWD"
#patch -p1 --backup -d $aggDir/rt.equinox.bundles/bundles -i $aggDir/scripts/tempPatches/sbep2.patch
#patch -p1 --backup -d $aggDir/eclipse.platform.ui/features -i $aggDir/scripts/tempPatches/e4rcpsource.patch
-#checkForErrorExit $? "Error occurred applying patch"
-#fi
+patch -p1 --backup -d $aggDir/rt.equinox.framework/bundles -i $aggDir/scripts/tempPatches/ppc.patch
+checkForErrorExit $? "Error occurred applying patch"
+fi
pushd "$aggDir"
git commit -m "Build input for build $BUILD_ID"
diff --git a/scripts/tempPatches/ppc.patch b/scripts/tempPatches/ppc.patch
new file mode 100644
index 000000000..abe001589
--- /dev/null
+++ b/scripts/tempPatches/ppc.patch
@@ -0,0 +1,21 @@
+diff --git bundles/org.eclipse.equinox.executable/feature.xml bundles/org.eclipse.equinox.executable/feature.xml
+index 068ae1a..85b33f9 100644
+--- bundles/org.eclipse.equinox.executable/feature.xml
++++ bundles/org.eclipse.equinox.executable/feature.xml
+@@ -72,6 +72,16 @@
+ fragment="true"/>
+
+ <plugin
++ id="org.eclipse.equinox.launcher.gtk.linux.ppc"
++ os="linux"
++ ws="gtk"
++ arch="ppc"
++ download-size="0"
++ install-size="0"
++ version="0.0.0"
++ fragment="true"/>
++
++ <plugin
+ id="org.eclipse.equinox.launcher.gtk.linux.ppc64"
+ os="linux"
+ ws="gtk"

Back to the top